# Guide pour les administrateurs système de ScoDoc

ScoDoc est prévu pour fonctionner sur un serveur **Linux Debian 10 (Buster) ou 9 (Stretch)**. 
L'installation sur tout autre système est peut-être possible avec (beaucoup de) travail et n'est **pas supportée**. 
Utilisez un **serveur virtuel** ou un container Docker si vous n'avez pas de machine Debian dédiée.

## Installation

 * Installation de ScoDoc: [GuideInstallDebianDix](GuideInstallDebianDix.md) (ou [GuideInstallDebianNeuf](GuideInstallDebianNeuf.md))
 * Migration installations Debian 7 ou 8 vers Debian  9: [MigrationDonneesScoDoc](MigrationDonneesScoDoc.md)
 * Migration installations Debian 6  vers Debian 7: [MigrationVersScoDocSept](MigrationVersScoDocSept.md)
 

## Mises à jour et sauvegardes

 * [Mettre à jour du logiciel (nouvelles versions)](MisesAJour.md)
 * [Mise en place de sauvegardes des bases de données](SauvegardesBases.md)

## Configuration et préférences

 * [ConfigPermissions](ConfigPermissions.md) : description des permissions et rôles utilisés par le système.
 * [ Paramétrage](PreferencesScoDoc.md): réglage des préférences

## Autres problèmes

 * [Problèmes configuration des envois mail](ProblemesMail.md)
 * [ProblemesEtBugs](ProblemesEtBugs.md) en cas d'ennuis.

##  Utilisation avancée

 * [Interfaçage avec Apogée](ScoDocApogee.md)
 * [API](ScoDocAPI.md) : API JSON ou XML pour interfaçage avec d'autres applications
 * [ServicesXml](ServicesXml.md) : web services XML pour interfaçage avec d'autres applications (obsolète).
 * [AdminUsers](AdminUsers.md) : gestion des utilisateurs
 * [InterrogationPortail](InterrogationPortail.md) : liaison avec portail

Voir aussi le [guide pour les développeurs](GuideDeveloppeurs.md) et la [FAQ](FAQ.md).

